# TODO:
# - maybe add datetime.patch from synce repository
# - namespace.patch from synce trunk contains some improvements
# - build dynamic documentation                  OFF
#
Summary:	The WBXML Library
Summary(pl.UTF-8):	Biblioteka WBXML
Name:		libwbxml
Version:	0.11.6
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libwbxml/%{name}-%{version}.tar.bz2
# Source0-md5:	726e736bc28dce312d268f671ba65835
# partially fixed upstream (encoder->current_attr == NULL checked in SI10 and EMN10 cases, but not OTA_SETINGS)
Patch0:		wbxml2-r59.patch
URL:		https://github.com/libwbxml/libwbxml
BuildRequires:	cmake >= 2.4
BuildRequires:	expat-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.586
BuildConflicts:	wbxml2
Obsoletes:	libwbxml2
Obsoletes:	wbxml2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The WBXML Library (libwbxml) contains a library and its associated
tools to parse, encode and handle WBXML documents. The WBXML format is
a binary representation of XML, defined by the Wap Forum, and used to
reduce bandwidth in mobile communications.

%description -l pl.UTF-8
Format WBXML jest binarną reprezentacją XML, zdefiniowaną przez Wap
Forum, mającą na celu zmniejszenie ruchu w komunikacji przez
urządzenia przenośne.

%package devel
Summary:	Header files for WBXML library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki WBXML
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libwbxml2-devel
Obsoletes:	wbxml2-devel
Obsoletes:	wbxml2-static

%description devel
Header files for WBXML library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki WBXML.

%prep
%setup -q
%patch0 -p3

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains just license information, not LGPL text itself
%doc BUGS COPYING ChangeLog README THANKS TODO References
%attr(755,root,root) %{_bindir}/wbxml2xml
%attr(755,root,root) %{_bindir}/xml2wbxml
%attr(755,root,root) %{_libdir}/libwbxml2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwbxml2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwbxml2.so
%{_includedir}/libwbxml-1.0
%{_pkgconfigdir}/libwbxml2.pc
%{_datadir}/cmake/Modules/FindLibWbxml2.cmake
%changelog
* Tue Feb 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwbxml.git;a=log;h=master

* Tue Feb 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> e45fd69
- Update to 0.11.6

* Fri Jul 31 2015 Jakub Bogusz <qboosh@pld-linux.org> e640738
- updated to 0.11.4 (note: new soname)

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> 8559721
- release 3 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 84d0ec9
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Mon Nov 22 2010 Elan Ruusamäe <glen@pld-linux.org> 9e5672a
- verbose makefile in 1.586 as well

* Mon Nov 22 2010 Elan Ruusamäe <glen@pld-linux.org> 3866374
- use cmake default params from rpm build macros

* Sun Nov 21 2010 Jakub Bogusz <qboosh@pld-linux.org> 84ddb35
- updated to 0.10.8

* Mon Feb 22 2010 Elan Ruusamäe <glen@pld-linux.org> a560be0
- release 2

* Thu Jan 28 2010 amateja <amateja@pld-linux.org> 4a2cc88
- updated to 0.10.7

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 3e54a2f
- outdated

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> 7bc9ace
- release 1

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> 36a9b2a
- avoid autoreqnamedep being evil

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> d7ebdc9
- 2008-11-21: The OpenSync project takes over the maintenance of the libwbxml library from Aymerick Jehanne.
- renamed package from wbxml2 and updated to 0.10.1
- no -static package with cmake build

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> 07a4e6d
- added r59.patch, updated TODO, rel. 4

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> e1f8761
- fix for segfault (http://libwbxml.aymerick.com/changeset/59)

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> 1de9c85
- added no_libxml2.patch, updated TODO

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> b177dbc
- get rid libxml2 junk

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> 2303cb2
- replaced by r52.patch

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> 1786d8c
- replaced by r52.patch and r58.patch

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> 7c86bec
- more TODO

